<?php

namespace App\Entity;

use App\Repository\DevisLineRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: DevisLineRepository::class)]
class DevisLine
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(inversedBy: 'devisLines')]
    private ?Devis $devi = null;

    #[ORM\Column]
    private ?int $pos = null;

    #[ORM\Column]
    private ?float $priceHt = null;

    #[ORM\Column(nullable: true)]
    private ?float $priceHtSup = null;

    #[ORM\Column]
    private ?int $day = null;


    #[ORM\Column]
    private string $product = "";

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getDevi(): ?Devis
    {
        return $this->devi;
    }

    public function setDevi(?Devis $devi): static
    {
        $this->devi = $devi;

        return $this;
    }

    public function getPos(): ?int
    {
        return $this->pos;
    }

    public function setPos(int $pos): static
    {
        $this->pos = $pos;

        return $this;
    }


    public function getPriceHt(): ?float
    {
        return $this->priceHt;
    }

    public function setPriceHt(float $priceHt): static
    {
        $this->priceHt = $priceHt;

        return $this;
    }

    public function getPriceHtSup(): ?float
    {
        return $this->priceHtSup;
    }

    public function setPriceHtSup(?float $priceHtSup): static
    {
        $this->priceHtSup = $priceHtSup;

        return $this;
    }

    public function getDay(): ?int
    {
        return $this->day;
    }

    public function setDay(int $day): static
    {
        $this->day = $day;

        return $this;
    }

    public function getProduct(): ?string
    {
        return $this->product;
    }

    public function setProduct(?string $product): static
    {
        $this->product = $product;

        return $this;
    }
}
